Index: /issm/trunk-jpl/packagers/ubuntu/package.sh
===================================================================
--- /issm/trunk-jpl/packagers/ubuntu/package.sh	(revision 20609)
+++ /issm/trunk-jpl/packagers/ubuntu/package.sh	(revision 20610)
@@ -5,6 +5,4 @@
 cat generic_static.m | sed -e "s/generic_static/generic/g" > generic.m
 echo "move mpiexec to bin" 
-cp ../externalpackages/mpich/install/bin/mpiexec .
-cp ../externalpackages/mpich/install/bin/hydra_pmi_proxy .
 
 #Check that test101 runs
@@ -28,9 +26,31 @@
 echo "Creating tarball: ${tarball_name}"
 cd $ISSM_DIR
-tar -czf $tarball_name ./bin ./lib ./test ./examples
+rm -rf trunk
+mkdir trunk
+cp -rf bin lib test examples trunk/
+tar -czf $tarball_name trunk
 ls -lah $tarball_name
 
 echo "Shipping binaries to website"
-cp $tarball_name /u/astrid-r1b/morlighe/public/
-chmod 777 /u/astrid-r1b/morlighe/public/$tarball_name
-scp $tarball_name websites.jpl.nasa.gov:/home/larour/files/$tarball_name
+
+# We're using public key authentication method to upload the tarball The
+# following lines check to see if the SSH Agent is running. If not, then it is
+# started and relevant information is forwarded to a script.
+pgrep "ssh-agent" > /dev/null
+if [ $? -ne 0 ]; then
+	echo "SSH Agent is not running. Starting it..."
+	ssh-agent > ~/.ssh/agent.sh
+else
+	echo "SSH Agent is running..."
+fi
+
+source ~/.ssh/agent.sh
+ssh-add ~/.ssh/ubuntu-bins_jenkins-to-ross
+
+scp $tarball_name ross.ics.uci.edu:/var/www/html/$tarball_name
+
+if [ $? -ne 0 ]; then
+	echo "The upload failed."
+	echo "Perhaps the SSH Agent was started by some other means."
+	echo "Try killing the agent and running again."
+fi
